Bug 1901207 - Search Page - Pipeline resources table not immediately updated after Name filter applied or removed
Summary: Search Page - Pipeline resources table not immediately updated after Name fil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Debsmita Santra
QA Contact: spathak@redhat.com
Rishu Mehra
URL:
Whiteboard:
Depends On: 1900022
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-24 18:10 UTC by David Taylor
Modified: 2021-09-15 17:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Currently, in the *Search* page, the *Pipelines* resources table is not immediately updated after you apply or remove the *Name* filter. However, if you refresh the page and expand the *Pipelines* section, the *Name* filter is applied. The same behavior is seen when you remove the *Name* filter. This will be resolved in a future release. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1901207[*BZ#1901207*]).
Clone Of: 1900022
Environment:
Last Closed: 2021-07-27 22:34:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Search Page - Pipeline resources table immediately updated after Name filter applied or removed (479.57 KB, video/webm)
2021-02-16 07:57 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8142 0 None closed Bug 1901207: Pipeline resources table not immediately updated after Name filter applied or removed 2021-02-16 07:07:03 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:34:53 UTC

Description David Taylor 2020-11-24 18:10:45 UTC
+++ This bug was initially created as a clone of Bug #1900022 +++


This bug depends on, and is a follow up to, Bug #1900022!


Description of problem:
On the main Search Page I select Pipleines resource and a Name filter (using the top search for label bar), it does not immediately apply the Name filter to the Pipelines resource table.

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-11-18-085225

How reproducible:
Always

Steps to Reproduce:
1. Go to Search
2. Select 'Pipeline' resource
3. Filter for a Name that matches

Actual results:
The top filter component does not (immediately) filter the Pipeline resources by Name.  If you refresh the page or close and expand the Piplelines accordian section, the Name filter does get applied.  Same goes when removing/clearing the Name filter!


Expected results:
Top filter to immediately apply the filter selected to the Pipeline resources.


Note: Applying and clearing the top Label filter works immediately!

Comment 1 Andrew Ballantyne 2021-01-13 18:28:01 UTC
Moving to 4.8 as we likely do not have the bandwidth to handle this in 4.7.

Comment 3 spathak@redhat.com 2021-02-16 07:57:08 UTC
Created attachment 1757197 [details]
Search Page - Pipeline resources table immediately updated after Name filter applied or removed

Comment 4 spathak@redhat.com 2021-02-16 08:01:14 UTC
Verified on build version: 4.8.0-0.ci-2021-02-15-210844
Browser version: Chrome 84

Comment 5 Rishu Mehra 2021-02-19 15:54:51 UTC
Updated the doc text field.

Comment 8 errata-xmlrpc 2021-07-27 22:34:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.